### Constructor

# Foundry OnTypeDiagnostics new

#### Declaration [src]

    FoundryOnTypeDiagnostics*
    foundry_on_type_diagnostics_new (
      FoundryTextDocument* document
    )

#### Description

No description available.

#### Parameters

`document`

  Type: `FoundryTextDocument`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `FoundryOnTypeDiagnostics`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.